Skip to main content
PUT
/
integrations
/
slack
/
{slack_id}
Update a Slack Integration Resource
curl --request PUT \
  --url https://api.eu.bronto.io/integrations/slack/{slack_id} \
  --header 'Content-Type: application/json' \
  --header 'X-BRONTO-API-KEY: <api-key>' \
  --data '
{
  "name": "api_alerts",
  "channels": [
    "production-alerts",
    "usage-alerts"
  ],
  "workspace_id": "12345678-589b-4dea-8efa-444bb3201bb6"
}
'
import requests

url = "https://api.eu.bronto.io/integrations/slack/{slack_id}"

payload = {
    "name": "api_alerts",
    "channels": ["production-alerts", "usage-alerts"],
    "workspace_id": "12345678-589b-4dea-8efa-444bb3201bb6"
}
headers = {
    "X-BRONTO-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'X-BRONTO-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'api_alerts',
    channels: ['production-alerts', 'usage-alerts'],
    workspace_id: '12345678-589b-4dea-8efa-444bb3201bb6'
  })
};

fetch('https://api.eu.bronto.io/integrations/slack/{slack_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "api_alerts",
  "channels": [
    "production-alerts",
    "usage-alerts"
  ],
  "workspace_id": "12345678-589b-4dea-8efa-444bb3201bb6"
}
{
  "bad_request_validation": {
    "summary": "Bad Request - Validation Error",
    "description": "Example error when request validation fails",
    "value": {
      "code": 400,
      "type": "Bad Request",
      "correlation_id": "95c6a974e3ab01209b6b0dfedb1b16c5",
      "details": "Validation failed: 'name' field is required and cannot be empty"
    }
  },
  "bad_request_invalid_type": {
    "summary": "Bad Request - Invalid Metric Type",
    "description": "Example error when an invalid metric type is provided",
    "value": {
      "code": 400,
      "type": "Bad Request",
      "correlation_id": "00d8a51bb2874f2583670317a4fb8db7",
      "details": "Invalid metric_type 'INVALID'. Must be one of: COUNTER, GAUGE, HISTOGRAM"
    }
  },
  "forbidden": {
    "summary": "Forbidden Access",
    "description": "Example error when user lacks required permissions",
    "value": {
      "code": 403,
      "type": "Forbidden",
      "correlation_id": "40276639de0f49d586e32edd8c4f6b34",
      "details": "Access denied. User does not have permission to create metric definition templates"
    }
  },
  "not_found": {
    "summary": "Resource Not Found",
    "description": "Example error when requested resource doesn't exist",
    "value": {
      "code": 404,
      "type": "Not Found",
      "correlation_id": "605f832bcfe44a1081441691c8d42253",
      "details": "Metric definition template with id '550e8400-e29b-41d4-a716-446655440000' not found"
    }
  },
  "rate_limit": {
    "summary": "Rate Limit Exceeded",
    "description": "Example error when API rate limit is exceeded",
    "value": {
      "code": 429,
      "type": "Too Many Requests",
      "correlation_id": "53909ed43c544531b7a555e295960437",
      "details": "Rate limit exceeded. Maximum 100 requests are allowed within a 5-minute window"
    }
  },
  "internal_server_error": {
    "summary": "Internal Server Error",
    "description": "Example error for unexpected server-side failures",
    "value": {
      "code": 500,
      "type": "Internal Server Error",
      "correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
      "details": "An unexpected error occurred while processing your request"
    }
  }
}
{
  "bad_request_validation": {
    "summary": "Bad Request - Validation Error",
    "description": "Example error when request validation fails",
    "value": {
      "code": 400,
      "type": "Bad Request",
      "correlation_id": "95c6a974e3ab01209b6b0dfedb1b16c5",
      "details": "Validation failed: 'name' field is required and cannot be empty"
    }
  },
  "bad_request_invalid_type": {
    "summary": "Bad Request - Invalid Metric Type",
    "description": "Example error when an invalid metric type is provided",
    "value": {
      "code": 400,
      "type": "Bad Request",
      "correlation_id": "00d8a51bb2874f2583670317a4fb8db7",
      "details": "Invalid metric_type 'INVALID'. Must be one of: COUNTER, GAUGE, HISTOGRAM"
    }
  },
  "forbidden": {
    "summary": "Forbidden Access",
    "description": "Example error when user lacks required permissions",
    "value": {
      "code": 403,
      "type": "Forbidden",
      "correlation_id": "40276639de0f49d586e32edd8c4f6b34",
      "details": "Access denied. User does not have permission to create metric definition templates"
    }
  },
  "not_found": {
    "summary": "Resource Not Found",
    "description": "Example error when requested resource doesn't exist",
    "value": {
      "code": 404,
      "type": "Not Found",
      "correlation_id": "605f832bcfe44a1081441691c8d42253",
      "details": "Metric definition template with id '550e8400-e29b-41d4-a716-446655440000' not found"
    }
  },
  "rate_limit": {
    "summary": "Rate Limit Exceeded",
    "description": "Example error when API rate limit is exceeded",
    "value": {
      "code": 429,
      "type": "Too Many Requests",
      "correlation_id": "53909ed43c544531b7a555e295960437",
      "details": "Rate limit exceeded. Maximum 100 requests are allowed within a 5-minute window"
    }
  },
  "internal_server_error": {
    "summary": "Internal Server Error",
    "description": "Example error for unexpected server-side failures",
    "value": {
      "code": 500,
      "type": "Internal Server Error",
      "correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
      "details": "An unexpected error occurred while processing your request"
    }
  }
}
{
  "bad_request_validation": {
    "summary": "Bad Request - Validation Error",
    "description": "Example error when request validation fails",
    "value": {
      "code": 400,
      "type": "Bad Request",
      "correlation_id": "95c6a974e3ab01209b6b0dfedb1b16c5",
      "details": "Validation failed: 'name' field is required and cannot be empty"
    }
  },
  "bad_request_invalid_type": {
    "summary": "Bad Request - Invalid Metric Type",
    "description": "Example error when an invalid metric type is provided",
    "value": {
      "code": 400,
      "type": "Bad Request",
      "correlation_id": "00d8a51bb2874f2583670317a4fb8db7",
      "details": "Invalid metric_type 'INVALID'. Must be one of: COUNTER, GAUGE, HISTOGRAM"
    }
  },
  "forbidden": {
    "summary": "Forbidden Access",
    "description": "Example error when user lacks required permissions",
    "value": {
      "code": 403,
      "type": "Forbidden",
      "correlation_id": "40276639de0f49d586e32edd8c4f6b34",
      "details": "Access denied. User does not have permission to create metric definition templates"
    }
  },
  "not_found": {
    "summary": "Resource Not Found",
    "description": "Example error when requested resource doesn't exist",
    "value": {
      "code": 404,
      "type": "Not Found",
      "correlation_id": "605f832bcfe44a1081441691c8d42253",
      "details": "Metric definition template with id '550e8400-e29b-41d4-a716-446655440000' not found"
    }
  },
  "rate_limit": {
    "summary": "Rate Limit Exceeded",
    "description": "Example error when API rate limit is exceeded",
    "value": {
      "code": 429,
      "type": "Too Many Requests",
      "correlation_id": "53909ed43c544531b7a555e295960437",
      "details": "Rate limit exceeded. Maximum 100 requests are allowed within a 5-minute window"
    }
  },
  "internal_server_error": {
    "summary": "Internal Server Error",
    "description": "Example error for unexpected server-side failures",
    "value": {
      "code": 500,
      "type": "Internal Server Error",
      "correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
      "details": "An unexpected error occurred while processing your request"
    }
  }
}
{
  "bad_request_validation": {
    "summary": "Bad Request - Validation Error",
    "description": "Example error when request validation fails",
    "value": {
      "code": 400,
      "type": "Bad Request",
      "correlation_id": "95c6a974e3ab01209b6b0dfedb1b16c5",
      "details": "Validation failed: 'name' field is required and cannot be empty"
    }
  },
  "bad_request_invalid_type": {
    "summary": "Bad Request - Invalid Metric Type",
    "description": "Example error when an invalid metric type is provided",
    "value": {
      "code": 400,
      "type": "Bad Request",
      "correlation_id": "00d8a51bb2874f2583670317a4fb8db7",
      "details": "Invalid metric_type 'INVALID'. Must be one of: COUNTER, GAUGE, HISTOGRAM"
    }
  },
  "forbidden": {
    "summary": "Forbidden Access",
    "description": "Example error when user lacks required permissions",
    "value": {
      "code": 403,
      "type": "Forbidden",
      "correlation_id": "40276639de0f49d586e32edd8c4f6b34",
      "details": "Access denied. User does not have permission to create metric definition templates"
    }
  },
  "not_found": {
    "summary": "Resource Not Found",
    "description": "Example error when requested resource doesn't exist",
    "value": {
      "code": 404,
      "type": "Not Found",
      "correlation_id": "605f832bcfe44a1081441691c8d42253",
      "details": "Metric definition template with id '550e8400-e29b-41d4-a716-446655440000' not found"
    }
  },
  "rate_limit": {
    "summary": "Rate Limit Exceeded",
    "description": "Example error when API rate limit is exceeded",
    "value": {
      "code": 429,
      "type": "Too Many Requests",
      "correlation_id": "53909ed43c544531b7a555e295960437",
      "details": "Rate limit exceeded. Maximum 100 requests are allowed within a 5-minute window"
    }
  },
  "internal_server_error": {
    "summary": "Internal Server Error",
    "description": "Example error for unexpected server-side failures",
    "value": {
      "code": 500,
      "type": "Internal Server Error",
      "correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
      "details": "An unexpected error occurred while processing your request"
    }
  }
}
{
  "bad_request_validation": {
    "summary": "Bad Request - Validation Error",
    "description": "Example error when request validation fails",
    "value": {
      "code": 400,
      "type": "Bad Request",
      "correlation_id": "95c6a974e3ab01209b6b0dfedb1b16c5",
      "details": "Validation failed: 'name' field is required and cannot be empty"
    }
  },
  "bad_request_invalid_type": {
    "summary": "Bad Request - Invalid Metric Type",
    "description": "Example error when an invalid metric type is provided",
    "value": {
      "code": 400,
      "type": "Bad Request",
      "correlation_id": "00d8a51bb2874f2583670317a4fb8db7",
      "details": "Invalid metric_type 'INVALID'. Must be one of: COUNTER, GAUGE, HISTOGRAM"
    }
  },
  "forbidden": {
    "summary": "Forbidden Access",
    "description": "Example error when user lacks required permissions",
    "value": {
      "code": 403,
      "type": "Forbidden",
      "correlation_id": "40276639de0f49d586e32edd8c4f6b34",
      "details": "Access denied. User does not have permission to create metric definition templates"
    }
  },
  "not_found": {
    "summary": "Resource Not Found",
    "description": "Example error when requested resource doesn't exist",
    "value": {
      "code": 404,
      "type": "Not Found",
      "correlation_id": "605f832bcfe44a1081441691c8d42253",
      "details": "Metric definition template with id '550e8400-e29b-41d4-a716-446655440000' not found"
    }
  },
  "rate_limit": {
    "summary": "Rate Limit Exceeded",
    "description": "Example error when API rate limit is exceeded",
    "value": {
      "code": 429,
      "type": "Too Many Requests",
      "correlation_id": "53909ed43c544531b7a555e295960437",
      "details": "Rate limit exceeded. Maximum 100 requests are allowed within a 5-minute window"
    }
  },
  "internal_server_error": {
    "summary": "Internal Server Error",
    "description": "Example error for unexpected server-side failures",
    "value": {
      "code": 500,
      "type": "Internal Server Error",
      "correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
      "details": "An unexpected error occurred while processing your request"
    }
  }
}

Authorizations

X-BRONTO-API-KEY
string
header
required

Path Parameters

slack_id
string
required

The unique identifier of Slack integration ID to update

Body

application/json
name
string
required

Name of the Slack integration

Required string length: 1 - 255
Example:

"api_alerts"

channels
string[]
required

List of channels to which to send alerts

Minimum array length: 1
Example:
["production-alerts", "usage-alerts"]
workspace_id
string<uuid>
required

Slack workspace to use for integration; you must first authenticate to the workspace through the Bronto UI

Required string length: 36
Example:

"12345678-589b-4dea-8efa-444bb3201bb6"

Response

Slack successfully updated

id
string
required

A unique identifier for the integration resource

Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string
required

Name of the Slack integration

Required string length: 1 - 255
Example:

"api_alerts"

channels
string[]
required

List of channels to which to send alerts

Minimum array length: 1
Example:
["production-alerts", "usage-alerts"]
workspace_id
string<uuid>
required

Slack workspace to use for integration; you must first authenticate to the workspace through the Bronto UI

Required string length: 36
Example:

"12345678-589b-4dea-8efa-444bb3201bb6"